Create bulk email enrichment job
curl --request POST \
--url https://api.companyenrich.com/people/email/bulk \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"person_id": 4611686018427388000,
"domain": "<string>"
}
],
"webhook_url": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [{person_id: 4611686018427388000, domain: '<string>'}],
webhook_url: '<string>'
})
};
fetch('https://api.companyenrich.com/people/email/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/people/email/bulk"
payload = {
"items": [
{
"person_id": 4611686018427388000,
"domain": "<string>"
}
],
"webhook_url": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"total_requests": 123,
"estimated_credits": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}People · Enrichment
Create bulk email enrichment job
Cost: up to 10 credits per item (charged on completion for newly accessed found emails only)
Creates an asynchronous bulk person email enrichment job for up to 1,000 lookup items.
When domain is omitted for an item, current experience domains are tried in seniority order.
Processing happens asynchronously in the background. Use the status endpoint to monitor progress and retrieve the results download URL.
POST
/
people
/
email
/
bulk
Create bulk email enrichment job
curl --request POST \
--url https://api.companyenrich.com/people/email/bulk \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"person_id": 4611686018427388000,
"domain": "<string>"
}
],
"webhook_url": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [{person_id: 4611686018427388000, domain: '<string>'}],
webhook_url: '<string>'
})
};
fetch('https://api.companyenrich.com/people/email/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/people/email/bulk"
payload = {
"items": [
{
"person_id": 4611686018427388000,
"domain": "<string>"
}
],
"webhook_url": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"total_requests": 123,
"estimated_credits": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
API Token used for authentication. Example: "Authorization: Bearer {token}"
Body
application/json
Response
OK
Unique identifier for the bulk person email enrichment job.
Current status of the job (pending, processing, completing, completed, failed).
Available options:
pending, processing, completing, completed, failed Number of lookup items queued in the job.
Estimated maximum credit cost for the job.